summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-lisp-1
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-lisp-1')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-lisp-114
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-lisp-1 b/gettext-tools/tests/xgettext-lisp-1
index 9f34dc8..eb83e72 100755..100644
--- a/gettext-tools/tests/xgettext-lisp-1
+++ b/gettext-tools/tests/xgettext-lisp-1
@@ -3,10 +3,6 @@
# Test Lisp support: --add-comments option.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-ls-1.lisp"
cat <<EOF > xg-ls-1.lisp
; This comment will not be extracted.
(write-line (gettext "help"))
@@ -20,15 +16,11 @@ cat <<EOF > xg-ls-1.lisp
(write-line (gettext "The Fabulous Four"))
EOF
-tmpfiles="$tmpfiles xg-ls-1.tmp.po xg-ls-1.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
- -d xg-ls-1.tmp xg-ls-1.lisp
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-ls-1.tmp.po > xg-ls-1.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ -d xg-ls-1.tmp xg-ls-1.lisp || exit 1
+LC_ALL=C tr -d '\r' < xg-ls-1.tmp.po > xg-ls-1.po || exit 1
-tmpfiles="$tmpfiles xg-ls-1.ok"
cat <<EOF > xg-ls-1.ok
msgid "help"
msgstr ""
@@ -51,6 +43,4 @@ EOF
${DIFF} xg-ls-1.ok xg-ls-1.po
result=$?
-rm -fr $tmpfiles
-
exit $result